﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ProjectBomber
{
    public partial class FormBomber : Form
    {
        private DrawningBomber _drawningBomber;
        public FormBomber()
        {
            InitializeComponent();
        }
        private void Draw()
        {
            if (_drawningBomber == null)
            {
                return;
            }
            Bitmap bmp = new Bitmap(pictureBoxBomber.Width, pictureBoxBomber.Height);
            Graphics gr = Graphics.FromImage(bmp);
            _drawningBomber.DrawTransport(gr);
            pictureBoxBomber.Image = bmp;
        }
        /// <summary>
        /// Обработка нажатия кнопки "Создать"
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void buttonCreate_Click(object sender, EventArgs e)
        {
            Random random = new Random();
            _drawningBomber = new DrawningBomber();
            _drawningBomber.Init(random.Next(100, 300), random.Next(1000, 3000), Color.FromArgb(random.Next(0, 256), random.Next(0, 256), random.Next(0, 256)),
            Color.FromArgb(random.Next(0, 256), random.Next(0, 256), random.Next(0, 256)),
            Convert.ToBoolean(random.Next(0, 2)), Convert.ToBoolean(random.Next(0, 2)), Convert.ToBoolean(random.Next(0, 2)),
            pictureBoxBomber.Width, pictureBoxBomber.Height, 60, 70);
            _drawningBomber.SetPosition(random.Next(0, 50),
            random.Next(0, 50));
            Draw();
        }
        /// <summary>
        /// Изменение размеров формы
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        private void ButtonMove_Click(object sender, EventArgs e)
        {
            if (_drawningBomber == null)
            {
                return;
            }
            string name = ((Button)sender)?.Name ?? string.Empty;
            switch (name)
            {
                case "buttonUp":
                    _drawningBomber.MoveTransport(DirectionType.Up);
                    break;
                case "buttonDown":
                    _drawningBomber.MoveTransport(DirectionType.Down);
                    break;
                case "buttonLeft":
                    _drawningBomber.MoveTransport(DirectionType.Left);
                    break;
                case "buttonRight":
                    _drawningBomber.MoveTransport(DirectionType.Right);
                    break;
            }
            Draw();
        }
    }
}